Skip to main content
GET
/
api
/
v1
/
clusters
/
{cluster_id}
/
kubernetes
/
pod
/
logs
Stream Pod Logs Endpoint
import requests

url = "https://platform.ankra.app/api/v1/clusters/{cluster_id}/kubernetes/pod/logs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null

Path Parameters

cluster_id
string<uuid4>
required

Query Parameters

namespace
string
required
Maximum string length: 253
pod_name
string
required
Maximum string length: 253
container_name
string | null
Maximum string length: 253
tail_lines
integer | null
since_seconds
integer | null
since_time
string | null
Maximum string length: 50
timestamps
boolean
default:false

Response

Successful Response